| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::team_member Class Reference

Represents a team member on a team who maintain a bot/application. More...

`#include <application.h>`

Collaboration diagram for dpp::team_member:
[legend]

## Public Attributes

team_member_role_t | member_role
| The role of the user in the team.
user | member_user
| The avatar, discriminator, id, and username, of the user.
team_member_status | membership_state
| The user's membership state on the team.
std::string | permissions
| Will always be "".
snowflake | team_id
| The id of the parent team of which they are a member.

## Detailed Description

Represents a team member on a team who maintain a bot/application.

## Member Data Documentation

## ◆ member_role

team_member_role_t dpp::team_member::member_role

The role of the user in the team.

## ◆ member_user

user dpp::team_member::member_user

The avatar, discriminator, id, and username, of the user.

## ◆ membership_state

team_member_status dpp::team_member::membership_state

The user's membership state on the team.

## ◆ permissions

std::string dpp::team_member::permissions

Will always be "".

## ◆ team_id

snowflake dpp::team_member::team_id

The id of the parent team of which they are a member.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0